Commit 51763daa authored by Leigh B Stoller's avatar Leigh B Stoller

Do not include Blockstore.pm until needed; messes up

update-install cause Node is used before code install.
parent 9033017a
......@@ -46,7 +46,6 @@ $JAILIPMASK = "@JAILIPMASK@";
use libdb;
use libtestbed;
use emutil;
use Blockstore;
use event;
use English;
use Socket;
......@@ -1758,6 +1757,8 @@ sub ReleaseBlockStore($)
{
my ($self) = @_;
require Blockstore;
# Must be a real reference.
return -1
if (! ref($self));
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment